Ubuntu dpkg 下载deb包并安装测试

释放双眼,带上耳机,听听看~!
🤖 由 ChatGPT 生成的文章摘要

Ubuntu dpkg 下载deb包并安装测试

首先下载命令如下

这里我使用iperf3ab命令作为测试

sudo apt-get download iperf3
sudo apt-get download apache2-utils

在当前目录下就可以看到iperf3ab命令的依赖包

#安装
root@abcdocker:~# dpkg  -i iperf3_3.9-1+deb11u1build0.22.04.1_amd64.deb
root@abcdocker:~# dpkg -i apache2-utils_2.4.52-1ubuntu4.7_amd64.deb

#下面的报错解决办法如下

root@abcdocker:~# dpkg -i apache2-utils_2.4.52-1ubuntu4.7_amd64.deb
Selecting previously unselected package apache2-utils.
(Reading database ... 137625 files and directories currently installed.)
Preparing to unpack apache2-utils_2.4.52-1ubuntu4.7_amd64.deb ...
Unpacking apache2-utils (2.4.52-1ubuntu4.7) ...
dpkg: dependency problems prevent configuration of apache2-utils:
 apache2-utils depends on libapr1 (>= 1.4.8-2~); however:
  Package libapr1 is not installed.
 apache2-utils depends on libaprutil1 (>= 1.5.0); however:
  Package libaprutil1 is not installed.

dpkg: error processing package apache2-utils (--install):
 dependency problems - leaving unconfigured
Processing triggers for man-db (2.10.2-1) ...
Errors were encountered while processing:
 apache2-utils

下载其它依赖包

sudo apt-get download libiperf0
sudo apt-get download libsctp1

安装iperf3依赖包

dpkg -i libsctp1_1.0.19+dfsg-1build1_amd64.deb
dpkg -i libiperf0_3.9-1+deb11u1build0.22.04.1_amd64.deb

ab的依赖包可以参考下面的

sudo apt-get download libaprutil1
sudo apt-get download libapr1
dpkg -i libapr1_1.7.0-8ubuntu0.22.04.1_amd64.deb
dpkg -i libaprutil1_1.6.1-5ubuntu4.22.04.2_amd64.deb

给TA打赏
共{{data.count}}人
人已打赏
NGINXUbuntu

Ubuntu Nginx 1.25.2开启配置QUIC和HTTP/3

2023-10-10 0:31:24

Docker

Dockerfile参数解释

2016-11-8 15:43:08

0 条回复 A文章作者 M管理员
    暂无讨论,说说你的看法吧
个人中心
购物车
优惠劵
今日签到
有新私信 私信列表
搜索